Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.view
Class HitInfo.EnvelopeStroke

    java.lang.Object
      jpicedt.graphic.view.HitInfo
          jpicedt.graphic.view.HitInfo.Stroke
              jpicedt.graphic.view.HitInfo.EnvelopeStroke

Enclosing class:
  HitInfo

Deprecated. use HighlighterStroke instead

public static class HitInfo.EnvelopeStroke
extends HitInfo.Stroke

Represent a Hit that occured on the envelope of an element (aka tangents of a PicSmoothPolygon actually). It includes information as of which stroke segment was hit (this may be used by the UI to know where to add new points).

Nested Class Summary

Nested classes inherited from class jpicedt.graphic.view.HitInfo
`HitInfo.Composite, HitInfo.EnvelopeStroke, HitInfo.HighlighterStroke, HitInfo.Interior, HitInfo.Point, HitInfo.Stroke, HitInfo.Text`

Constructor Summary
`HitInfo.EnvelopeStroke(Element clicked, int clickedSegment, PEMouseEvent mouseEvent)` Deprecated.

Method Summary
`String` | `toString()` Deprecated.

Methods inherited from class jpicedt.graphic.view.HitInfo.Stroke
`getClickedSegment`

Methods inherited from class jpicedt.graphic.view.HitInfo
`getMouseEvent, getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HitInfo.EnvelopeStroke

    public HitInfo.EnvelopeStroke(Element clicked,
                                  int clickedSegment,
                                  PEMouseEvent mouseEvent)

  Deprecated.

Method Detail

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `HitInfo.Stroke`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org